Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07602 Gameplay Major Always Mar 31, 2020, 20:58 Apr 4, 2020, 04:00
Tester Kale View Status Public Platform MAME (Official Binary)
Assigned To Resolution Bugs That Aren't Bugs OS Windows 10 (64-bit)
Status [?] Resolved Driver raiden2.cpp
Version 0.219 Fixed in Version Build 64-bit
Summary 07602: raiden2, raidendx, raiden: No collision on top edge of gameplay area
Description Try to hit something in Raiden II or DX when the hitbox is on the top 16 "rows" (basically behind the score layer) causes no collision detection. This is particularly obvious for fixed pattern enemies like tanks or power-up ship.
Steps To Reproduce Play the attached example file.
Snapshots refers to where the hit occurs normally and don't on slightly different "Y" positions.
Additional Information Both games shares the same sprite DMA protection handlers.
Doesn't occur on PS1 ports fwiw
Flags Verified with Original
Regression Version
Affected Sets / Systems raiden2, raidendx, raiden
Attached Files
png file icon 0051.png (24,880 bytes) Mar 31, 2020, 20:58 Uploaded by Kale
nohit
Kale
png file icon 0052.png (25,649 bytes) Mar 31, 2020, 20:58 Uploaded by Kale
hit
Kale
zip file icon raidendx_example_bug.zip (10,337 bytes) Mar 31, 2020, 20:59 Uploaded by Kale
inp made with 0.219
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.17522
Fujix
Administrator
Apr 2, 2020, 05:10
edited on: Apr 2, 2020, 05:22
Yes, confirmed the issue.

Here's capture of the real arcade (A Shooter festival held at Mikado Arcade). And I have heared they were saying it is intentional.
You can check that the player can't shoot the mid-size ship in


Also here, the ground enemies have no collision detection:
User avatar
No.17525
Fujix
Administrator
Apr 4, 2020, 04:00
This is where they are explaining about the top "safety zone", enemies don't have collision detection when they are in the top 2-char height, and it is refined "Kyukyoku Tiger".